"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ccopy = void 0;
const f_func_1 = require("../../f_func");
function ccopy(n, cx, incx, cy, incy) {
    if (cx.i === undefined) {
        throw new Error((0, f_func_1.errMissingIm)('cx.i'));
    }
    if (cy.i === undefined) {
        throw new Error((0, f_func_1.errMissingIm)('cy.i'));
    }
    if (n <= 0)
        return;
    const xb = cx.base;
    const yb = cy.base;
    let ix = 1;
    let iy = 1;
    if (incx < 0)
        ix = (-n + 1) * incx + 1;
    if (incy < 0)
        iy = (-n + 1) * incy + 1;
    for (let i = 1; i <= n; i++) {
        cy.r[iy - yb] = cx.r[ix - xb];
        cy.i[iy - yb] = cx.i[ix - xb];
        ix += incx;
        iy += incy;
    }
}
exports.ccopy = ccopy;
//# sourceMappingURL=ccopy.js.map