import { caxpy } from './complex/caxpy';
import { ccopy } from './complex/ccopy';
import { cdotc } from './complex/cdotc';
import { cdotu } from './complex/cdotu';
import { crotg } from './complex/crotg';
import { cscal } from './complex/cscal';
import { csrot } from './complex/csrot';
import { csscal } from './complex/csscal';
import { cswap } from './complex/cswap';
import { icamax } from './complex/icamax';
import { scasum } from './complex/scasum';
import { isamax } from './single/isamax';
import { sasum } from './single/sasum';
import { saxpy } from './single/saxpy';
import { scnrm2 } from './single/scnrm2';
import { scopy } from './single/scopy';
import { sdot } from './single/sdot';
import { sdsdot } from './single/sdsdot';
import { snrm2 } from './single/snrm2';
import { srot } from './single/srot';
import { srotg } from './single/srotg';
import { srotm } from './single/srotm';
import { srotmg } from './single/srotmg';
import { sscal } from './single/sscal';
import { sswap } from './single/sswap';
export declare const level1: {
    isamax: typeof isamax;
    sasum: typeof sasum;
    saxpy: typeof saxpy;
    scnrm2: typeof scnrm2;
    scopy: typeof scopy;
    sdot: typeof sdot;
    sdsdot: typeof sdsdot;
    snrm2: typeof snrm2;
    srot: typeof srot;
    srotg: typeof srotg;
    srotm: typeof srotm;
    srotmg: typeof srotmg;
    sscal: typeof sscal;
    sswap: typeof sswap;
    dasum: typeof sasum;
    daxpy: typeof saxpy;
    dcopy: typeof scopy;
    ddot: typeof sdot;
    dnrm2: typeof snrm2;
    drot: typeof srot;
    drotg: typeof srotg;
    drotm: typeof srotm;
    drotmg: typeof srotmg;
    dscal: typeof sscal;
    dsdot: typeof sdsdot;
    dswap: typeof sswap;
    idamax: typeof isamax;
    caxpy: typeof caxpy;
    ccopy: typeof ccopy;
    cdotc: typeof cdotc;
    cdotu: typeof cdotu;
    crotg: typeof crotg;
    cscal: typeof cscal;
    csrot: typeof csrot;
    csscal: typeof csscal;
    cswap: typeof cswap;
    icamax: typeof icamax;
    scasum: typeof scasum;
    dzasum: typeof scasum;
    dznrm2: typeof scnrm2;
    izamax: typeof icamax;
    zaxpy: typeof caxpy;
    zcopy: typeof ccopy;
    zdotc: typeof cdotc;
    zdotu: typeof cdotu;
    zdrot: typeof csrot;
    zdscal: typeof cscal;
    zrotg: typeof csrot;
    zscal: typeof cscal;
    zswap: typeof cswap;
};
//# sourceMappingURL=index.d.ts.map