import { cgemm } from './complex/cgemm';
import { chemm } from './complex/chemm';
import { cher2k } from './complex/cher2k';
import { cherk } from './complex/cherk';
import { csymm } from './complex/csymm';
import { csyr2k } from './complex/csyr2k';
import { csyrk } from './complex/csyrk';
import { ctrmm } from './complex/ctrmm';
import { ctrsm } from './complex/ctrsm';
import { sgemm } from './single/sgemm';
import { ssymm } from './single/ssymm';
import { ssyr2k } from './single/ssyr2k';
import { ssyrk } from './single/ssyrk';
import { strmm } from './single/strmm';
import { strsm } from './single/strsm';
export declare const level3: {
    sgemm: typeof sgemm;
    ssymm: typeof ssymm;
    ssyr2k: typeof ssyr2k;
    ssyrk: typeof ssyrk;
    strmm: typeof strmm;
    strsm: typeof strsm;
    dgemm: typeof sgemm;
    dsymm: typeof ssymm;
    dsyr2k: typeof ssyr2k;
    dsyrk: typeof ssyrk;
    dtrmm: typeof strmm;
    dtrsm: typeof strsm;
    cgemm: typeof cgemm;
    chemm: typeof chemm;
    cher2k: typeof cher2k;
    cherk: typeof cherk;
    csymm: typeof csymm;
    csyr2k: typeof csyr2k;
    csyrk: typeof csyrk;
    ctrmm: typeof ctrmm;
    ctrsm: typeof ctrsm;
    zgemm: typeof cgemm;
    zhemm: typeof chemm;
    zher2k: typeof cher2k;
    zherk: typeof cherk;
    zsymm: typeof csymm;
    zsyr2k: typeof csyr2k;
    zsyrk: typeof csyrk;
    ztrmm: typeof ctrmm;
    ztrsm: typeof ctrsm;
};
//# sourceMappingURL=index.d.ts.map