import type { FortranArr } from '../../f_func';
/**
 *
 * @description ISAMAX finds the index of the first element having maximum absolute value.

 * @param n number of elements in input
 * @param sx SX is REAL array, dimension(1 + (N - 1) * abs(INCX))
 * @param incx storage spacing between elements of SX
 *
 */
export declare function isamax(n: number, sx: FortranArr, incx: number): number;
//# sourceMappingURL=isamax.d.ts.map