import { cgbmv } from './complex/cgbmv';
import { cgemv } from './complex/cgemv';
import { cgerc } from './complex/cgerc';
import { cgeru } from './complex/cgeru';
import { chbmv } from './complex/chbmv';
import { chemv } from './complex/chemv';
import { cher } from './complex/cher';
import { cher2 } from './complex/cher2';
import { chpmv } from './complex/chpmv';
import { chpr } from './complex/chpr';
import { chpr2 } from './complex/chpr2';
import { ctbmv } from './complex/ctbmv';
import { ctbsv } from './complex/ctbsv';
import { ctpmv } from './complex/ctpmv';
import { ctpsv } from './complex/ctpsv';
import { ctrmv } from './complex/ctrmv';
import { ctrsv } from './complex/ctrsv';
import { sgbmv } from './single/sgbmv';
import { sgemv } from './single/sgemv';
import { sger } from './single/sger';
import { ssbmv } from './single/ssbmv';
import { sspmv } from './single/sspmv';
import { sspr } from './single/sspr';
import { sspr2 } from './single/sspr2';
import { ssymv } from './single/ssymv';
import { ssyr } from './single/ssyr';
import { ssyr2 } from './single/ssyr2';
import { stbmv } from './single/stbmv';
import { stbsv } from './single/stbsv';
import { stpmv } from './single/stpmv';
import { stpsv } from './single/stpsv';
import { strmv } from './single/strmv';
import { strsv } from './single/strsv';
export declare const level2: {
    sgbmv: typeof sgbmv;
    sgemv: typeof sgemv;
    sger: typeof sger;
    ssbmv: typeof ssbmv;
    sspmv: typeof sspmv;
    sspr: typeof sspr;
    sspr2: typeof sspr2;
    ssymv: typeof ssymv;
    ssyr: typeof ssyr;
    ssyr2: typeof ssyr2;
    stbmv: typeof stbmv;
    stbsv: typeof stbsv;
    stpmv: typeof stpmv;
    stpsv: typeof stpsv;
    strmv: typeof strmv;
    strsv: typeof strsv;
    dgbmv: typeof sgbmv;
    dgemv: typeof sgemv;
    dger: typeof sger;
    dsbmv: typeof ssbmv;
    dspmv: typeof sspmv;
    dspr: typeof sspr;
    dspr2: typeof sspr2;
    dsymv: typeof ssymv;
    dsyr: typeof ssyr;
    dsyr2: typeof ssyr2;
    dtbmv: typeof stbmv;
    dtbsv: typeof stbsv;
    dtpmv: typeof stpmv;
    dtpsv: typeof stpsv;
    dtrmv: typeof strmv;
    dtrsv: typeof strsv;
    cgemv: typeof cgemv;
    cgbmv: typeof cgbmv;
    cgerc: typeof cgerc;
    cgeru: typeof cgeru;
    chbmv: typeof chbmv;
    chemv: typeof chemv;
    cher: typeof cher;
    cher2: typeof cher2;
    chpmv: typeof chpmv;
    chpr: typeof chpr;
    chpr2: typeof chpr2;
    ctbmv: typeof ctbmv;
    ctbsv: typeof ctbsv;
    ctpsv: typeof ctpsv;
    ctpmv: typeof ctpmv;
    ctrmv: typeof ctrmv;
    ctrsv: typeof ctrsv;
    zgbmv: typeof cgbmv;
    zgemv: typeof cgemv;
    zgerc: typeof cgerc;
    zgeru: typeof cgeru;
    zhbmv: typeof chbmv;
    zhemv: typeof chemv;
    zher: typeof cher;
    zher2: typeof cher2;
    zhpmv: typeof chpmv;
    zhpr: typeof chpr;
    zhpr2: typeof chpr2;
    ztbmv: typeof ctbmv;
    ztbsv: typeof ctbsv;
    ztpmv: typeof ctpmv;
    ztpsv: typeof ctpsv;
    ztrmv: typeof ctrmv;
    ztrsv: typeof ctrsv;
};
//# sourceMappingURL=index.d.ts.map